package com.ywt.alipaympapi.service.impl;

import com.ywt.request.nucleic.NucleicItemListRequest;
import com.ywt.request.nucleic.NucleicOrderConfirmRequest;
import com.ywt.request.nucleic.NucleicQuestionnaireRequest;
import com.ywt.request.nucleic.NucleicQuestionnaireResultRequest;
import com.ywt.request.nucleic.NucleicTimeListRequest;
import com.ywt.response.nucleic.NucleicItemResponseData;
import com.ywt.response.nucleic.NucleicOrderConfirmResponseData;
import com.ywt.response.nucleic.NucleicQuestionnaireResponseData;
import com.ywt.response.nucleic.NucleicQuestionnaireResultResponseData;
import com.ywt.response.nucleic.NucleicTimeListResponseData;
import com.ywt.alipaympapi.service.NucleicService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author
 */
@Slf4j
@Service
public class NucleicServiceImpl implements NucleicService {

    @Override
    public List<NucleicItemResponseData> itemList(NucleicItemListRequest request) {
        return null;
    }

    @Override
    public NucleicTimeListResponseData testTimeList(NucleicTimeListRequest request) {
        return null;
    }

    @Override
    public NucleicQuestionnaireResponseData questionnaire(NucleicQuestionnaireRequest request) {
        return null;
    }

    @Override
    public NucleicQuestionnaireResultResponseData questionnaireResult(NucleicQuestionnaireResultRequest request) {
        return null;
    }

    @Override
    public NucleicOrderConfirmResponseData orderConfirm(NucleicOrderConfirmRequest request) {
        return null;
    }
}